%define po_package gnome-menus
%define enable_debugging 0

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:  A menu system for the GNOME project
Name: gnome-menus
Version: 2.28.0
Release: 4%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.gnome.org/
Source0: http://download.gnome.org/sources/gnome-menus/2.28/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  redhat-menus >= 7.8.9-2
BuildRequires: gamin-devel
BuildRequires: gawk
BuildRequires: gettext
BuildRequires: glib2-devel >= 2.15.2
BuildRequires: pkgconfig
BuildRequires: python2-devel >= 2.3.0
BuildRequires: intltool

# upstream fix
Patch0: fix-menu-sorting.patch

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=563032
Patch1: gnome-menus-translations.patch

%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs,
Python bindings, and a simple menu editor.

%package devel
Summary: Libraries and include files for the GNOME menu system
Group: Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires: glib2-devel >= 2.15.2
Requires: python2-devel >= 2.3.0
Requires: gamin-devel
Requires: pkgconfig

%description devel
This package provides the necessary development libraries for
writing applications that use the GNOME menu system.

%prep
%setup -q
%patch0 -p1 -b .fix-menu-sorting
%patch1 -p1 -b .translations

%build
%configure \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
rm -rf $RPM_BUILD_ROOT%{_datadir}/desktop-directories/Desktop.directory

# We use alacarte now
rm -rf $RPM_BUILD_ROOT%{_bindir}/gmenu-simple-editor
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/gmenu-simple-editor.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-menus/glade/gmenu-simple-editor.glade
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/GMenuSimpleEditor/*

# No point in shipping this either
rm -rf $RPM_BUILD_ROOT%{_bindir}/gnome-menu-spec-test
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-menus/

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS COPYING.LIB
%{_libdir}/libgnome-menu.so.*
%{python_sitearch}/gmenu.so
%{_datadir}/desktop-directories/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gnome-menus


%changelog

